<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/mainBackColor"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:background="@color/white">

            <TextView
                android:id="@+id/leftTitleView"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:paddingHorizontal="@dimen/dp_10"
                android:text="首页"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_18" />

            <TextView
                android:id="@+id/rightOperateView"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_alignParentEnd="true"
                android:gravity="center_vertical"
                android:paddingHorizontal="@dimen/dp_10"
                android:text="登录"
                android:textColor="@color/mainThemeColor"
                android:textSize="@dimen/sp_14" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:orientation="vertical">

            <com.youth.banner.Banner
                android:id="@+id/homeBannerView"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_200"
                android:layout_marginTop="@dimen/dp_5"
                android:layout_marginBottom="@dimen/dp_20"
                app:banner_indicator_normal_color="@color/hintTextColor"
                app:banner_indicator_selected_color="@color/white" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/homeRecyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:nestedScrollingEnabled="true"
                    android:scrollbars="none"
                    app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                    app:spanCount="3" />

                <include layout="@layout/include_horizontal_no_margin_line" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/connectRecyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:nestedScrollingEnabled="true"
                    android:scrollbars="none"
                    app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                    app:spanCount="2" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_200"
                android:layout_marginTop="@dimen/dp_20"
                android:background="@color/white"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/dp_10"
                        android:text="精选好物"
                        android:textColor="@color/mainTextColor"
                        android:textSize="@dimen/sp_16" />

                    <TextView
                        android:id="@+id/moreOperateView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"
                        android:gravity="center_vertical"
                        android:paddingHorizontal="@dimen/dp_10"
                        android:text="更多"
                        android:textColor="@color/hintTextColor"
                        android:textSize="@dimen/sp_14" />
                </RelativeLayout>

                <include layout="@layout/include_horizontal_no_margin_line" />


            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</androidx.core.widget.NestedScrollView>